diff --git a/TvEngine3/TVLibrary/SetupTv/SetupDatabaseForm.cs b/TvEngine3/TVLibrary/SetupTv/SetupDatabaseForm.cs
index f1decb5..253688a 100644
--- a/TvEngine3/TVLibrary/SetupTv/SetupDatabaseForm.cs
+++ b/TvEngine3/TVLibrary/SetupTv/SetupDatabaseForm.cs
@@ -34,6 +34,7 @@ using System.Xml;
 using MySql.Data.MySqlClient;
 using TvLibrary.Interfaces;
 using TvLibrary.Log;
+using System.Data.SQLite;
 
 #endregion
 
@@ -45,6 +46,7 @@ namespace SetupTv
     {
       SqlServer,
       MySql,
+      Sqlite
     }
 
     private readonly StartupMode _dialogMode = StartupMode.Normal;
@@ -116,6 +118,7 @@ namespace SetupTv
       //<DefaultProvider name="Firebird" connectionString="User=SYSDBA;Password=masterkey;Data Source=TvLibrary.fdb;ServerType=1;Dialect=3;Charset=UNICODE_FSS;Role=;Pooling=true;" />
       //<DefaultProvider name="SQLServer" connectionString="Password=sa;Persist Security Info=True;User ID=sa;Initial Catalog=TvLibrary;Data Source=pcebeckers;" />
       //<DefaultProvider name="MySQL" connectionString="Server=10.0.0.2;Database=TvLibrary;User ID=xxx;Password=xxx" />
+      //<DefaultProvider name="SQLite" connectionString="data source=C:\ProgramData\Team MediaPortal\MediaPortal TV Server\MpTvDb.s3db" />
       try
       {
         XmlDocument doc = new XmlDocument();
@@ -135,6 +138,10 @@ namespace SetupTv
             provider = ProviderType.SqlServer;
             rbSQLServer.Checked = true;
             break;
+          case "sqlite":
+            provider = ProviderType.Sqlite;
+            rbSqlite.Checked = true;
+            break;
           default:
             return;
         }
@@ -208,6 +215,9 @@ namespace SetupTv
           if (database == "") database = "mysql";
           return String.Format("Server={0};Database={3};User ID={1};Password={2};charset=utf8;Connection Timeout={4};",
                                server, userid, password, database, timeout);
+
+        case ProviderType.Sqlite:
+          return "data source=" + server;
       }
       return "";
     }
@@ -221,8 +231,12 @@ namespace SetupTv
           LoadConnectionDetailsFromConfig(true);
         }
 
-        if (string.IsNullOrEmpty(tbServerHostName.Text) || string.IsNullOrEmpty(tbPassword.Text))
-          return false;
+        if (string.IsNullOrEmpty(tbServerHostName.Text)) return false;
+
+        if (provider != ProviderType.Sqlite)
+        {
+          if (string.IsNullOrEmpty(tbPassword.Text)) return false;
+        }
 
         string connectionString = ComposeConnectionString(tbServerHostName.Text, tbUserID.Text, tbPassword.Text, "",
                                                           false, 15);
@@ -243,6 +257,13 @@ namespace SetupTv
               connect.Close();
             }
             break;
+          case ProviderType.Sqlite:
+            using (SQLiteConnection connect = new SQLiteConnection(connectionString))
+            {
+              connect.Open();
+              connect.Close();
+            }
+            break;
           default:
             throw (new Exception("Unsupported provider!"));
         }
@@ -277,6 +298,9 @@ namespace SetupTv
           case ProviderType.MySql:
             stream = assm.GetManifestResourceStream("SetupTv." + prefix + "_mysql_database.sql");
             break;
+          case ProviderType.Sqlite:
+            stream = assm.GetManifestResourceStream("SetupTv." + prefix + "_sqlite_database.sql");
+            break;
         }
 
         schemaName = tbDatabaseName.Text;
@@ -295,6 +319,10 @@ namespace SetupTv
           case ProviderType.MySql:
             CommandScript = CleanMySqlStatement(sql);
             break;
+
+          case ProviderType.Sqlite:
+            CommandScript = CleanSqliteStatement(sql);
+            break;
         }
 
         // As the connection string sets the DB schema name we need to compose it after cleaning the statement.
@@ -375,6 +403,77 @@ namespace SetupTv
                 }
             }
             break;
+          case ProviderType.Sqlite:
+            // Creating a connection creates the database file if it does not already exist
+            using (SQLiteConnection connect = new SQLiteConnection(connectionString))
+            {
+              connect.Open();
+              if (CommandScript != null)
+              {
+                var scripts = new List<String>();
+
+                if (prefix == "create")
+                {
+                  // Drop all tables before recreating (to be sure we're starting from an empty DB)
+                  using (SQLiteCommand cmd = new SQLiteCommand("SELECT name FROM sqlite_master where type='table' ", connect))
+                  {
+                    cmd.CommandTimeout = 60;    // extra long 60 second timeout needed for long-running upgrade statements
+                    using (var dr = cmd.ExecuteReader())
+                    {
+                      while (dr.Read())
+                      {
+                        var tName = Convert.ToString(dr["name"]);
+                        if (!tName.StartsWith("sqlite_", StringComparison.InvariantCultureIgnoreCase))
+                        {
+                          scripts.Add($"DROP TABLE {tName}");
+                        }
+                      }
+                    }
+                  }
+                }
+
+                // Add the rest of the scripts
+                scripts.AddRange(CommandScript);
+
+                // Then run them onto the database
+                foreach (string SingleStmt in scripts)
+                {
+                  string SqlStmt = SingleStmt.Trim();
+                  if (!string.IsNullOrEmpty(SqlStmt) && !SqlStmt.StartsWith("--") && !SqlStmt.StartsWith("/*"))
+                  {
+                    try
+                    {
+                      using (SQLiteCommand cmd = new SQLiteCommand(SqlStmt, connect))
+                      {
+                        Log.Write("  Exec SQL: {0}", SqlStmt);
+                        cmd.CommandTimeout = 60;    // extra long 60 second timeout needed for long-running upgrade statements
+                        cmd.ExecuteNonQuery();
+                      }
+                    }
+                    catch (SQLiteException ex)
+                    {
+                      Log.Write("  ********* SQL statement failed! *********");
+                      Log.Write("  ********* Error reason: {0}", ex.Message);
+                      succeeded = false;
+                      if (connect.State != ConnectionState.Open)
+                      {
+                        Log.Write("  ********* Connection status = {0} - aborting further command execution..",
+                                  connect.State.ToString());
+                        break;
+                      }
+                    }
+                  }
+                }
+
+                if (prefix == "delete")
+                {
+                  // Delete the database file directly
+                  if (File.Exists(tbServerHostName.Text)) File.Delete(tbServerHostName.Text);
+                }
+
+              }
+            }
+            break;
         }
       }
       catch (Exception gex)
@@ -417,6 +516,14 @@ namespace SetupTv
       return sql.Split('#');
     }
 
+    private string[] CleanSqliteStatement(string sql)
+    {
+      string currentDir = Directory.GetCurrentDirectory();
+      currentDir += @"\";
+      sql = sql.Replace("--GO\r\n", "!");
+      return sql.Split('!');
+    }
+
     #endregion
 
     #region Connection test
@@ -426,27 +533,30 @@ namespace SetupTv
       btnTest.Enabled = false;
       try
       {
-        if (string.IsNullOrEmpty(tbUserID.Text))
-        {
-          tbUserID.BackColor = Color.Red;
-          MessageBox.Show("Please specify a valid database user!", "Specify user", MessageBoxButtons.OK,
-                          MessageBoxIcon.Error);
-          return;
-        }
-        if (string.IsNullOrEmpty(tbPassword.Text))
+        if (!rbSqlite.Checked)
         {
-          tbPassword.BackColor = Color.Red;
-          MessageBox.Show("Please specify a valid password for the database user!", "Specify password",
-                          MessageBoxButtons.OK, MessageBoxIcon.Error);
-          return;
-        }
-        if (string.IsNullOrEmpty(tbDatabaseName.Text) || tbDatabaseName.Text.ToLowerInvariant() == "mysql" ||
-            tbDatabaseName.Text.ToLowerInvariant() == "master")
-        {
-          tbDatabaseName.BackColor = Color.Red;
-          MessageBox.Show("Please specify a valid schema name!", "Specify schema name", MessageBoxButtons.OK,
-                          MessageBoxIcon.Error);
-          return;
+          if (string.IsNullOrEmpty(tbUserID.Text))
+          {
+            tbUserID.BackColor = Color.Red;
+            MessageBox.Show("Please specify a valid database user!", "Specify user", MessageBoxButtons.OK,
+                            MessageBoxIcon.Error);
+            return;
+          }
+          if (string.IsNullOrEmpty(tbPassword.Text))
+          {
+            tbPassword.BackColor = Color.Red;
+            MessageBox.Show("Please specify a valid password for the database user!", "Specify password",
+                            MessageBoxButtons.OK, MessageBoxIcon.Error);
+            return;
+          }
+          if (string.IsNullOrEmpty(tbDatabaseName.Text) || tbDatabaseName.Text.ToLowerInvariant() == "mysql" ||
+              tbDatabaseName.Text.ToLowerInvariant() == "master")
+          {
+            tbDatabaseName.BackColor = Color.Red;
+            MessageBox.Show("Please specify a valid schema name!", "Specify schema name", MessageBoxButtons.OK,
+                            MessageBoxIcon.Error);
+            return;
+          }
         }
 
         if (tbServerHostName.Text.ToLowerInvariant().IndexOf("localhost") >= 0 ||
@@ -463,7 +573,20 @@ namespace SetupTv
         //string TestDb = _dialogMode == StartupMode.Normal ? string.Empty : tbDatabaseName.Text;
         string TestDb = string.Empty; // don't check if DB exists, it will be created if needed
 
-        bool TestSuccess = rbSQLServer.Checked ? AttemptMsSqlTestConnect(TestDb) : AttemptMySqlTestConnect(TestDb);
+        bool TestSuccess = false;
+        if (rbSQLServer.Checked)
+        {
+          TestSuccess = AttemptMsSqlTestConnect(TestDb);
+        }
+        else if (rbMySQL.Checked)
+        {
+
+          TestSuccess = AttemptMySqlTestConnect(TestDb);
+        }
+        else
+        {
+          TestSuccess = AttemptSqliteTestConnect(TestDb);
+        }
 
         // Do not allow to "use" incorrect data
         if (_dialogMode != StartupMode.DbConfig)
@@ -575,6 +698,37 @@ namespace SetupTv
       return true;
     }
 
+    private bool AttemptSqliteTestConnect(string aTestDb)
+    {
+      provider = ProviderType.Sqlite;
+      string connectionString = ComposeConnectionString(tbServerHostName.Text, tbUserID.Text, tbPassword.Text, aTestDb,
+                                                        false, 5);
+
+      try
+      {
+        using (SQLiteConnection connect = new SQLiteConnection(connectionString))
+        {
+          connect.Open();
+          connect.Close();
+        }
+      }
+      catch (SQLiteException myex)
+      {
+        tbServerHostName.BackColor = Color.Red;
+        MessageBox.Show(this, "Connection failed!\n" + myex.Message);
+        return false;
+      }
+      catch (Exception ex)
+      {
+        tbServerHostName.BackColor = Color.Red;
+        MessageBox.Show(this, "Connection failed!\n" + ex.Message);
+        return false;
+      }
+      tbServerHostName.BackColor = Color.GreenYellow;
+      MessageBox.Show(this, "Connection succeeded!");
+      return true;
+    }
+
     #endregion
 
     /// <summary>
@@ -609,7 +763,18 @@ namespace SetupTv
       XmlNode nodeKey = doc.SelectSingleNode("/Gentle.Framework/DefaultProvider");
       XmlNode node = nodeKey.Attributes.GetNamedItem("connectionString");
       XmlNode nodeName = nodeKey.Attributes.GetNamedItem("name");
-      nodeName.InnerText = rbSQLServer.Checked ? "SQLServer" : "MySQL";
+      if (rbSQLServer.Checked)
+      {
+        nodeName.InnerText = "SQLServer";
+      }
+      else if (rbSqlite.Checked)
+      {
+        nodeName.InnerText = "SQLite";
+      }
+      else
+      {
+        nodeName.InnerText = "MySQL";
+      }
       node.InnerText = connectionString;
 
       string ServerName = ParseServerHostName(tbServerHostName.Text);
@@ -707,6 +872,30 @@ namespace SetupTv
               }
             }
             break;
+
+          case ProviderType.Sqlite:
+            {
+              using (SQLiteConnection connect = new SQLiteConnection(connectionString))
+              {
+                connect.Open();
+                using (SQLiteCommand cmd = connect.CreateCommand())
+                {
+                  cmd.CommandType = CommandType.Text;
+                  cmd.CommandText = "select * from Version";
+                  using (IDataReader reader = cmd.ExecuteReader())
+                  {
+                    if (reader != null)
+                      if (reader.Read())
+                      {
+                        currentSchemaVersion = Convert.ToInt32(reader["versionNumber"]);
+                        reader.Close();
+                        connect.Close();
+                      }
+                  }
+                }
+              }
+            }
+            break;
         }
         return currentSchemaVersion;
       }
@@ -893,13 +1082,28 @@ namespace SetupTv
       }
     }
 
+    private void rbSqlite_CheckedChanged(object sender, EventArgs e)
+    {
+      if (rbSqlite.Checked)
+      {
+        OnDBTypeSelected();
+        tbUserID.Text = "";
+        tbPassword.Text = "";
+        tbDatabaseName.Text = "";
+        tbServerHostName.Text = Path.Combine(PathManager.GetDataPath, "MpTvDb.s3db");
+        tbServiceDependency.Enabled = false;
+        tbServiceDependency.BackColor = tbServerHostName.BackColor;
+        tbServiceDependency.Text = @"";
+      }
+    }
+
     private void lblDBChoice_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
     {
       try
       {
         Process.Start("http://wiki.team-mediaportal.com/TV-Engine_0.3");
       }
-      catch (Exception) {}
+      catch (Exception) { }
     }
 
     private void tbPassword_KeyUp(object sender, KeyEventArgs e)
diff --git a/TvEngine3/TVLibrary/SetupTv/SetupTv.csproj b/TvEngine3/TVLibrary/SetupTv/SetupTv.csproj
index f835ff1..0263899 100644
--- a/TvEngine3/TVLibrary/SetupTv/SetupTv.csproj
+++ b/TvEngine3/TVLibrary/SetupTv/SetupTv.csproj
@@ -67,6 +67,9 @@
       <SpecificVersion>False</SpecificVersion>
       <HintPath>..\TVDatabase\references\Gentle.Provider.MySQL.dll</HintPath>
     </Reference>
+    <Reference Include="Gentle.Provider.SQLite">
+      <HintPath>..\TVDatabase\references\Gentle.Provider.SQLite.dll</HintPath>
+    </Reference>
     <Reference Include="Gentle.Provider.SQLServer, Version=1.2.9.1289, Culture=neutral, PublicKeyToken=80b5de62e27be49b">
       <SpecificVersion>False</SpecificVersion>
       <HintPath>..\TVDatabase\references\Gentle.Provider.SQLServer.dll</HintPath>
@@ -81,6 +84,10 @@
       <RequiredTargetFramework>3.5</RequiredTargetFramework>
     </Reference>
     <Reference Include="System.Data" />
+    <Reference Include="System.Data.SQLite, Version=1.0.48.0, Culture=neutral, PublicKeyToken=db937bc2d44ff139, processorArchitecture=x86">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\TVDatabase\references\System.Data.SQLite.DLL</HintPath>
+    </Reference>
     <Reference Include="System.Deployment" />
     <Reference Include="System.Drawing" />
     <Reference Include="System.Management" />
@@ -381,9 +388,7 @@
     <EmbeddedResource Include="create_mysql_database.sql" />
     <EmbeddedResource Include="create_sqlserver_database.sql" />
     <EmbeddedResource Include="SetupTv.exe.manifest" />
-    <Compile Include="SearchSHOUTcast.cs">
-      <SubType>Form</SubType>
-    </Compile>
+    <Compile Include="SearchSHOUTcast.cs" />
     <Compile Include="Sections\CardAnalog.cs">
       <SubType>UserControl</SubType>
     </Compile>
@@ -691,10 +696,36 @@
     <EmbeddedResource Include="40_upgrade_sqlserver_database.sql" />
   </ItemGroup>
   <ItemGroup>
+    <None Include="Resources\sqlite370_banner.gif" />
     <EmbeddedResource Include="60_upgrade_mysql_database.sql" />
     <EmbeddedResource Include="60_upgrade_sqlserver_database.sql" />
     <EmbeddedResource Include="61_upgrade_mysql_database.sql" />
     <EmbeddedResource Include="61_upgrade_sqlserver_database.sql" />
+    <EmbeddedResource Include="create_sqlite_database.sql" />
+    <EmbeddedResource Include="39_upgrade_sqlite_database.sql" />
+    <EmbeddedResource Include="40_upgrade_sqlite_database.sql" />
+    <EmbeddedResource Include="41_upgrade_sqlite_database.sql" />
+    <EmbeddedResource Include="42_upgrade_sqlite_database.sql" />
+    <EmbeddedResource Include="43_upgrade_sqlite_database.sql" />
+    <EmbeddedResource Include="44_upgrade_sqlite_database.sql" />
+    <EmbeddedResource Include="45_upgrade_sqlite_database.sql" />
+    <EmbeddedResource Include="46_upgrade_sqlite_database.sql" />
+    <EmbeddedResource Include="47_upgrade_sqlite_database.sql" />
+    <EmbeddedResource Include="48_upgrade_sqlite_database.sql" />
+    <EmbeddedResource Include="49_upgrade_sqlite_database.sql" />
+    <EmbeddedResource Include="50_upgrade_sqlite_database.sql" />
+    <EmbeddedResource Include="51_upgrade_sqlite_database.sql" />
+    <EmbeddedResource Include="52_upgrade_sqllite_database.sql" />
+    <EmbeddedResource Include="53_upgrade_sqlite_database.sql" />
+    <EmbeddedResource Include="54_upgrade_sqlite_database.sql" />
+    <EmbeddedResource Include="55_upgrade_sqlite_database.sql" />
+    <EmbeddedResource Include="56_upgrade_sqlite_database.sql" />
+    <EmbeddedResource Include="57_upgrade_sqlite_database.sql" />
+    <EmbeddedResource Include="58_upgrade_sqlite_database.sql" />
+    <EmbeddedResource Include="59_upgrade_sqlite_database.sql" />
+    <EmbeddedResource Include="60_upgrade_sqlite_database.sql" />
+    <EmbeddedResource Include="61_upgrade_sqlite_database.sql" />
+    <EmbeddedResource Include="delete_sqlite_database.sql" />
     <Content Include="images\animation.SatDish.gif" />
     <Content Include="images\icon.card.gif" />
     <Content Include="images\icon.computer.gif" />
diff --git a/TvEngine3/TVLibrary/SetupTv/Startup.cs b/TvEngine3/TVLibrary/SetupTv/Startup.cs
index 2ac1e8d..61e7196 100644
--- a/TvEngine3/TVLibrary/SetupTv/Startup.cs
+++ b/TvEngine3/TVLibrary/SetupTv/Startup.cs
@@ -109,8 +109,8 @@ namespace SetupTv
       if (loggerName != null) loggerName = loggerName.Replace(".vshost", "");
 #endif
       CommonLogger.Instance = new CommonLog4NetLogger(loggerName, dataPath, loggerPath);
-      
-      
+
+
       Thread.CurrentThread.Name = "SetupTv";
 
       Process[] p = Process.GetProcessesByName(Process.GetCurrentProcess().ProcessName);
@@ -190,7 +190,7 @@ namespace SetupTv
           Log.Info("---- ask user for connection details ----");
           if (dlg.ShowDialog() != DialogResult.OK || startupMode != StartupMode.DeployMode)
             return; // close the application without restart here.
-          
+
           dlg.CheckServiceName();
           if (startupMode == StartupMode.DeployMode)
           {
@@ -211,7 +211,7 @@ namespace SetupTv
             dlg.tbServerHostName.Text = Dns.GetHostName();
             dlg.tbServiceDependency.Text = @"MySQL5";
           }
-          else
+          else if (DeploySql == "sqlserver")
           {
             dlg.provider = SetupDatabaseForm.ProviderType.SqlServer;
             dlg.rbSQLServer.Checked = true;
@@ -219,6 +219,11 @@ namespace SetupTv
             dlg.tbServerHostName.Text = Dns.GetHostName() + @"\SQLEXPRESS";
             dlg.tbServiceDependency.Text = @"SQLBrowser";
           }
+          // TODO: SqlLite deploy mode?
+          else
+          {
+            throw new ApplicationException("Unexpected connection type: " + DeploySql);
+          }
           dlg.tbPassword.Text = DeployPwd;
           dlg.tbDatabaseName.Text = dlg.schemaNameDefault;
           dlg.schemaName = dlg.schemaNameDefault;
@@ -229,7 +234,7 @@ namespace SetupTv
       {
         Log.Info("*****************************************************************");
         Log.Info("* WARNING, connection host ({0}) not officially supported *", dlg.tbServerHostName.Text);
-        Log.Info("*****************************************************************"); 
+        Log.Info("*****************************************************************");
       }
 
       if ((startupMode != StartupMode.Normal && startupMode != StartupMode.DeployMode) ||
diff --git a/TvEngine3/TVLibrary/SetupTv/create_sqlite_database.sql b/TvEngine3/TVLibrary/SetupTv/create_sqlite_database.sql
new file mode 100644
index 0000000..7ef72c2
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/create_sqlite_database.sql
@@ -0,0 +1,357 @@
+
+CREATE TABLE ChannelGroup (
+	idGroup INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	groupName varchar(200) COLLATE NOCASE NOT NULL,
+	sortOrder INTEGER NOT NULL
+);
+--GO
+
+CREATE INDEX IDX_CG_SortOrder ON ChannelGroup 
+(
+	sortOrder ASC
+);
+--GO
+
+CREATE TABLE Setting (
+	idSetting INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	tag varchar(200) COLLATE NOCASE NOT NULL,
+	value varchar(4096) COLLATE NOCASE NOT NULL
+);
+--GO
+
+CREATE INDEX IDX_Setting_Tag ON Setting
+(
+	tag ASC
+);
+--GO
+
+CREATE TABLE TvMovieMapping (
+	idMapping INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	idChannel INTEGER NOT NULL,
+	stationName varchar(200) COLLATE NOCASE NOT NULL,
+	timeSharingStart varchar(200) COLLATE NOCASE NOT NULL,
+	timeSharingEnd varchar(200) COLLATE NOCASE NOT NULL
+);
+--GO
+
+CREATE TABLE Satellite (
+	idSatellite INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	satelliteName varchar(200) COLLATE NOCASE NOT NULL,
+	transponderFileName varchar(200) COLLATE NOCASE NOT NULL
+);
+--GO
+
+CREATE TABLE ChannelLinkageMap (
+	idMapping INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	idPortalChannel INTEGER NOT NULL,
+	idLinkedChannel INTEGER NOT NULL
+);
+--GO
+
+CREATE TABLE Keyword (
+	idKeyword INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	keywordName varchar(200) COLLATE NOCASE NOT NULL,
+	rating INTEGER NOT NULL,
+	autoRecord bit NOT NULL,
+	searchIn INTEGER NOT NULL
+);
+--GO
+
+CREATE TABLE Timespan (
+	idTimespan INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	idKeyword INTEGER NOT NULL,
+	startTime datetime NOT NULL,
+	endTime datetime NOT NULL,
+	dayOfWeek INTEGER NOT NULL
+);
+--GO
+
+CREATE TABLE CardGroup (
+	idCardGroup INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	name varchar(255) COLLATE NOCASE NOT NULL
+);
+--GO
+
+CREATE TABLE RadioChannelGroup (
+	idGroup INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	groupName varchar(200) COLLATE NOCASE NOT NULL,
+	sortOrder INTEGER NOT NULL
+);
+--GO
+
+CREATE INDEX IDX_RCG_SortOrder ON RadioChannelGroup 
+(
+	sortOrder ASC
+);
+--GO
+
+CREATE TABLE Version (
+	idVersion INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	versionNumber INTEGER NOT NULL
+);
+--GO
+
+INSERT INTO Version (versionNumber) VALUES (38);
+--GO
+
+CREATE TABLE Server (
+	idServer INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	isMaster bit NOT NULL,
+	hostName varchar(256) COLLATE NOCASE NOT NULL
+);
+--GO
+
+CREATE TABLE Channel (
+	idChannel INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	name varchar(200) COLLATE NOCASE NOT NULL,
+	isRadio bit NOT NULL,
+	isTv bit NOT NULL,
+	timesWatched INTEGER NOT NULL,
+	totalTimeWatched datetime NOT NULL,
+	grabEpg bit NOT NULL,
+	lastGrabTime datetime NOT NULL,
+	sortOrder INTEGER NOT NULL,
+	visibleInGuide bit NOT NULL,
+	externalId varchar(200) COLLATE NOCASE NOT NULL,
+	freetoair bit NOT NULL,
+	displayName varchar(200) COLLATE NOCASE NOT NULL,
+	epgHasGaps bit NOT NULL
+);
+--GO
+
+UPDATE Channel SET epgHasGaps=0;
+--GO
+
+CREATE INDEX IX_Channel_IsTV ON Channel 
+(
+	isTv ASC,
+	sortOrder ASC
+);
+--GO
+
+CREATE TABLE KeywordMap (
+	idKeywordMap INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	idKeyword INTEGER NOT NULL,
+	idChannelGroup INTEGER NOT NULL
+);
+--GO
+
+CREATE TABLE GroupMap (
+	idMap INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	idGroup INTEGER NOT NULL,
+	idChannel INTEGER NOT NULL,
+	SortOrder INTEGER NOT NULL
+);
+--GO
+
+CREATE TABLE DisEqcMotor (
+	idDiSEqCMotor INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	idCard INTEGER NOT NULL,
+	idSatellite INTEGER NOT NULL,
+	position INTEGER NOT NULL
+);
+--GO
+
+CREATE TABLE ChannelMap (
+	idChannelMap INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	idChannel INTEGER NOT NULL,
+	idCard INTEGER NOT NULL,
+	epgOnly bit NOT NULL
+);
+--GO
+
+UPDATE ChannelMap SET epgOnly=0;
+--GO
+
+CREATE TABLE CardGroupMap (
+	idMapping INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	idCard INTEGER NOT NULL,
+	idCardGroup INTEGER NOT NULL
+);
+--GO
+
+CREATE TABLE PersonalTVGuideMap (
+	idPersonalTVGuideMap INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	idKeyword INTEGER NOT NULL,
+	idProgram INTEGER NOT NULL
+);
+--GO
+
+CREATE TABLE Favorite (
+	idFavorite INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	idProgram INTEGER NOT NULL,
+	priority INTEGER NOT NULL,
+	timesWatched INTEGER NOT NULL
+);
+--GO
+
+CREATE TABLE CanceledSchedule (
+	idCanceledSchedule INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	idSchedule INTEGER NOT NULL,
+	cancelDateTime datetime NOT NULL
+);
+--GO
+
+CREATE TABLE Conflict (
+	idConflict INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	idSchedule INTEGER NOT NULL,
+	idConflictingSchedule INTEGER NOT NULL,
+	idChannel INTEGER NOT NULL,
+	conflictDate datetime NOT NULL,
+	idCard INTEGER NULL
+);
+--GO
+
+CREATE TABLE RadioGroupMap (
+	idMap INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	idGroup INTEGER NOT NULL,
+	idChannel INTEGER NOT NULL,
+	SortOrder INTEGER NOT NULL
+);
+--GO
+
+CREATE TABLE Card (
+	idCard INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	devicePath varchar(2000) COLLATE NOCASE NOT NULL,
+	name varchar(200) COLLATE NOCASE NOT NULL,
+	priority INTEGER NOT NULL,
+	grabEPG bit NOT NULL,
+	lastEpgGrab datetime NOT NULL,
+	recordingFolder varchar(256) COLLATE NOCASE NOT NULL,
+	idServer INTEGER NOT NULL,
+	enabled bit NOT NULL,
+	camType INTEGER NOT NULL,
+	timeshiftingFolder varchar(256) COLLATE NOCASE NOT NULL,
+	recordingFormat INTEGER NOT NULL,
+	decryptLimit INTEGER NOT NULL
+);
+--GO
+
+CREATE TABLE Recording (
+	idRecording INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	idChannel INTEGER NOT NULL,
+	startTime datetime NOT NULL,
+	endTime datetime NOT NULL,
+	title varchar(2000) COLLATE NOCASE NOT NULL,
+	description varchar(8000) COLLATE NOCASE NOT NULL,
+	genre varchar(200) COLLATE NOCASE NOT NULL,
+	fileName varchar(1024) COLLATE NOCASE NOT NULL,
+	keepUntil INTEGER NOT NULL,
+	keepUntilDate datetime NOT NULL,
+	timesWatched INTEGER NOT NULL,
+	idServer INTEGER NOT NULL,
+	stopTime INTEGER NOT NULL
+);
+--GO
+
+CREATE TABLE Program (
+	idProgram INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	idChannel INTEGER NOT NULL,
+	startTime datetime NOT NULL,
+	endTime datetime NOT NULL,
+	title varchar(8000) COLLATE NOCASE NOT NULL, -- Actual length is not limited
+	description varchar(8000) COLLATE NOCASE NOT NULL, -- Actual length is not limited
+	seriesNum varchar(200) COLLATE NOCASE NOT NULL,
+	episodeNum varchar(200) COLLATE NOCASE NOT NULL,
+	genre varchar(200) COLLATE NOCASE NOT NULL,
+	originalAirDate datetime NOT NULL,
+	classification varchar(200) COLLATE NOCASE NOT NULL,
+	starRating INTEGER NOT NULL,
+	notify bit NOT NULL,
+	parentalRating INTEGER NOT NULL
+);
+--GO
+
+CREATE UNIQUE INDEX IX_Program_EPG_Lookup ON Program 
+(
+	idChannel ASC,
+	startTime ASC,
+	endTime ASC
+);
+--GO
+
+CREATE TABLE Schedule (
+	id_Schedule INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	idChannel INTEGER NOT NULL,
+	scheduleType INTEGER NOT NULL,
+	programName varchar(256) COLLATE NOCASE NOT NULL,
+	startTime datetime NOT NULL,
+	endTime datetime NOT NULL,
+	maxAirings INTEGER NOT NULL,
+	priority INTEGER NOT NULL,
+	directory varchar(1024) COLLATE NOCASE NOT NULL,
+	quality INTEGER NOT NULL,
+	keepMethod INTEGER NOT NULL,
+	keepDate datetime NOT NULL,
+	preRecordInterval INTEGER NOT NULL,
+	postRecordInterval INTEGER NOT NULL,
+	canceled datetime NOT NULL,
+	recommendedCard INTEGER NOT NULL
+);
+--GO
+
+CREATE INDEX IDX_Schedule_ScheduleType ON Schedule
+(
+	scheduleType ASC
+);
+--GO
+
+CREATE TABLE TuningDetail (
+	idTuning INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	idChannel INTEGER NOT NULL,
+	name varchar(200) COLLATE NOCASE NOT NULL,
+	provider varchar(200) COLLATE NOCASE NOT NULL,
+	channelType INTEGER NOT NULL,
+	channelNumber INTEGER NOT NULL,
+	frequency INTEGER NOT NULL,
+	countryId INTEGER NOT NULL,
+	isRadio bit NOT NULL,
+	isTv bit NOT NULL,
+	networkId INTEGER NOT NULL,
+	transportId INTEGER NOT NULL,
+	serviceId INTEGER NOT NULL,
+	pmtPid INTEGER NOT NULL,
+	freeToAir bit NOT NULL,
+	modulation INTEGER NOT NULL,
+	polarisation INTEGER NOT NULL,
+	symbolrate INTEGER NOT NULL,
+	diseqc INTEGER NOT NULL,
+	switchingFrequency INTEGER NOT NULL,
+	bandwidth INTEGER NOT NULL,
+	majorChannel INTEGER NOT NULL,
+	minorChannel INTEGER NOT NULL,
+	pcrPid INTEGER NOT NULL,
+	videoSource INTEGER NOT NULL,
+	tuningSource INTEGER NOT NULL,
+	videoPid INTEGER NOT NULL,
+	audioPid INTEGER NOT NULL,
+	band INTEGER NOT NULL,
+	satIndex INTEGER NOT NULL,
+	innerFecRate INTEGER NOT NULL,
+	pilot INTEGER NOT NULL,
+	rollOff INTEGER NOT NULL,
+	url varchar(200) COLLATE NOCASE NOT NULL,
+	bitrate INTEGER NOT NULL
+);
+--GO
+
+CREATE INDEX IX_TuningDetail_idChannel ON TuningDetail 
+(
+	idChannel ASC
+);
+--GO
+
+CREATE TABLE History (
+	idHistory INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
+	idChannel INTEGER NOT NULL,
+	startTime datetime NOT NULL,
+	endTime datetime NOT NULL,
+	title varchar(1000) COLLATE NOCASE NOT NULL,
+	description varchar(1000) COLLATE NOCASE NOT NULL,
+	genre varchar(1000) COLLATE NOCASE NOT NULL,
+	recorded bit NOT NULL,
+	watched INTEGER NOT NULL
+);
+--GO
+
+
diff --git a/TvEngine3/TVLibrary/SetupTv/delete_sqlite_database.sql b/TvEngine3/TVLibrary/SetupTv/delete_sqlite_database.sql
new file mode 100644
index 0000000..8a5134b
--- /dev/null
+++ b/TvEngine3/TVLibrary/SetupTv/delete_sqlite_database.sql
@@ -0,0 +1 @@
+-- SQLite database file will be deleted outside of this script
\ No newline at end of file
